com.orsoncharts.axis

## Interface ValueAxis3D

- All Superinterfaces:
    Axis3D, ChartElement
  All Known Implementing Classes:
    AbstractValueAxis3D, LogAxis3D, NumberAxis3D

      public interface ValueAxis3D
      extends Axis3D

  An axis that displays a range of continuous values. These can be used for the value axis in a `CategoryPlot3D`, and for the X, Y or Z axes in an `XYZPlot`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configureAsValueAxis(CategoryPlot3D plot)` Configure the axis as a value axis for the specified plot.
    `void` | `configureAsXAxis(XYZPlot plot)` Configure the axis as an x-axis for the specified plot.
    `void` | `configureAsYAxis(XYZPlot plot)` Configure the axis as an y-axis for the specified plot.
    `void` | `configureAsZAxis(XYZPlot plot)` Configure the axis as an z-axis for the specified plot.
    `java.util.List<MarkerData>` | `generateMarkerData()` Returns a list of marker data instances for the markers that fall within the current axis range.
    `java.util.List<TickData>` | `generateTickData(double tickUnit)` Generates a list of tick data items for the specified tick unit.
    `ValueAxis3DType` | `getConfiguredType()` Returns the type of use that the axis has been configured for.
    `ValueMarker` | `getMarker(java.lang.String key)` Returns the marker with the specified key, if there is one.
    `double` | `selectTick(java.awt.Graphics2D g2, java.awt.geom.Point2D pt0, java.awt.geom.Point2D pt1, java.awt.geom.Point2D opposingPt)` Selects an appropriate tick size and format for the axis based on the axis being rendered from `pt0` to `pt1`.

    - ### Methods inherited from interface com.orsoncharts.axis.Axis3D

      `addChangeListener, draw, getLabelColor, getLabelFont, getRange, getTickLabelColor, getTickLabelFont, isInverted, isVisible, removeChangeListener, setInverted, setLabelColor, setLabelFont, setRange, setRange, setTickLabelColor, setTickLabelFont, setVisible, translateToWorld`

    - ### Methods inherited from interface com.orsoncharts.ChartElement

      `receive`

- - ### Method Detail

    - #### getConfiguredType

          ValueAxis3DType getConfiguredType()

      Returns the type of use that the axis has been configured for.
      Returns:
        The type (or `null` if the axis has not yet been configured).
      Since:
        1.3

    - #### configureAsValueAxis

          void configureAsValueAxis(CategoryPlot3D plot)

      Configure the axis as a value axis for the specified plot.
      Parameters:
        `plot` - the plot (`null` not permitted).

    - #### configureAsXAxis

          void configureAsXAxis(XYZPlot plot)

      Configure the axis as an x-axis for the specified plot.
      Parameters:
        `plot` - the plot (`null` not permitted).

    - #### configureAsYAxis

          void configureAsYAxis(XYZPlot plot)

      Configure the axis as an y-axis for the specified plot.
      Parameters:
        `plot` - the plot (`null` not permitted).

    - #### configureAsZAxis

          void configureAsZAxis(XYZPlot plot)

      Configure the axis as an z-axis for the specified plot.
      Parameters:
        `plot` - the plot (`null` not permitted).

    - #### selectTick

          double selectTick(java.awt.Graphics2D g2,
                            java.awt.geom.Point2D pt0,
                            java.awt.geom.Point2D pt1,
                            java.awt.geom.Point2D opposingPt)

      Selects an appropriate tick size and format for the axis based on the axis being rendered from `pt0` to `pt1`.
      Parameters:
        `g2` - the graphics target.
        `pt0` - the starting point.
        `pt1` - the ending point.
        `opposingPt` - a point on the opposite side of the axis from the labels.
      Returns:
        The tick size.

    - #### generateTickData

          java.util.List<TickData> generateTickData(double tickUnit)

      Generates a list of tick data items for the specified tick unit. This data will be passed to the 3D engine and will be updated with a 2D projection that can later be used to write the axis tick labels in the appropriate places.
      If `tickUnit` is `Double.NaN`, then tick data is generated for just the bounds of the axis.
      Parameters:
        `tickUnit` - the tick unit.
      Returns:
        A list of tick data (never `null`).

    - #### generateMarkerData

          java.util.List<MarkerData> generateMarkerData()

      Returns a list of marker data instances for the markers that fall within the current axis range.
      Returns:
        A list of marker data.

    - #### getMarker

          ValueMarker getMarker(java.lang.String key)

      Returns the marker with the specified key, if there is one.
      Parameters:
        `key` - the key (`null` not permitted).
      Returns:
        The marker (possibly `null`).
      Since:
        1.2